<?php
defined('BASEPATH') or exit('No direct script access allowed');

class M_data extends CI_Model
{

    public function __construct()
    {
        parent::__construct();
    }

    public function total_kamar_terisi()
    {
        $def = $this->load->database('db_simrs', true);

        $query = $def->query(' ');

        return $query;
    }

    public function get_pasien_hari_ini() {
        $tanggal_hari_ini = date('Y-m-d');
        $query = $this->db->query("SELECT 
    t_operasi.TANGGAL_OPERASI, 
    t_operasi.OPERASI_ID,
    t_operasi.JAM_OPERASI,
    t_operasi.NOMR,
    t_operasi.KAMAR,
    t_operasi.DOKTER_ANESTESI,
    t_operasi.PEGAWAI_PELAKSANA_ID,
    COALESCE(dokter_anestesi.NAMA_PEGAWAI, 'Tidak Diketahui') AS NAMA_DOKTER_ANESTESI,
    COALESCE(pelaksana.NAMA_PEGAWAI, 'Tidak Diketahui') AS NAMA_PELAKSANA,
    t_operasi.ESTIMASI_JAM_OPERASI,
    t_operasi.JENIS_ANASTESI,
    COALESCE(NULLIF(t_operasi_perencanaan_sedasi.RUANG_OPERASI, ''), '-') AS RUANG_OPERASI,
    COALESCE(m_pasien.NAMA_PASIEN, 'Tidak Diketahui') AS NAMA_PASIEN,
    COALESCE(m_ruang.NAMA_RUANG, 'Tidak Diketahui') AS NAMA_RUANG,
    COALESCE(NULLIF(t_operasi_perencanaan_sedasi.ESTIMASI_JAM, ''), '-') AS ESTIMASI_JAM,
    COALESCE(NULLIF(t_operasi_perencanaan_sedasi.SEDASI, ''), '-') AS SEDASI,
    COALESCE(NULLIF(t_operasi_perencanaan_sedasi.GA, ''), '-') AS GA,
    COALESCE(NULLIF(t_operasi_perencanaan_sedasi.REGIONAL, ''), '-') AS REGIONAL,
    COALESCE(NULLIF(t_operasi_perencanaan_sedasi.KET_REGIONAL, ''), '-') AS KET_REGIONAL,
    COALESCE(NULLIF(t_operasi_perencanaan_sedasi.LAIN_LAIN, ''), '-') AS LAIN_LAIN,
    COALESCE(NULLIF(t_operasi_perencanaan_sedasi.KETERANGAN, ''), '-') AS KETERANGAN,
    COALESCE(m_ruang.NAMA_RUANG, m_unit.NAMA_UNIT, 'Tidak Diketahui') AS NAMA_RUANG_UNIT
FROM t_operasi 
LEFT JOIN m_pasien ON t_operasi.NOMR = m_pasien.NOMR 
LEFT JOIN t_operasi_perencanaan_sedasi ON t_operasi_perencanaan_sedasi.ID_OPERASI = t_operasi.OPERASI_ID
LEFT JOIN m_ruang ON t_operasi.RUANG_ID = m_ruang.RUANG_ID
LEFT JOIN m_unit ON t_operasi.UNIT_ID = m_unit.UNIT_ID  
LEFT JOIN m_pegawai AS dokter_anestesi ON t_operasi.DOKTER_ANESTESI = dokter_anestesi.PEGAWAI_ID
LEFT JOIN m_pegawai AS pelaksana ON t_operasi.PEGAWAI_PELAKSANA_ID = pelaksana.PEGAWAI_ID
WHERE DATE(t_operasi.TANGGAL_OPERASI) = CURDATE();


        ");
        return $query->result_array();
    }
    
    public function get_pasien_hari() {
        $tanggal_hari_ini = date('Y-m-d');
        $query = $this->db->query("SELECT 
    t_operasi.NOMR,
    m_tarif.NAMA_TARIF,
    operator.NAMA_PEGAWAI AS NAMA_PEGAWAI_OPERATOR,
    pelaksana.NAMA_PEGAWAI AS NAMA_PEGAWAI_PELAKSANA,
    anestesi.NAMA_PEGAWAI AS NAMA_PEGAWAI_ANESTESI
FROM t_operasi_tarif 
JOIN t_operasi ON t_operasi_tarif.OPERASI_ID = t_operasi.OPERASI_ID
JOIN m_tarif ON t_operasi_tarif.TARIF_ID = m_tarif.TARIF_ID
JOIN m_pegawai AS operator ON t_operasi_tarif.PEGAWAI_OPERATOR_ID = operator.PEGAWAI_ID
JOIN m_pegawai AS pelaksana ON t_operasi_tarif.PEGAWAI_PELAKSANA_ID = pelaksana.PEGAWAI_ID
JOIN m_pegawai AS anestesi ON t_operasi_tarif.PEGAWAI_ANASTESI_ID = anestesi.PEGAWAI_ID
WHERE DATE(t_operasi_tarif.TGL_TARIF) = CURDATE()
GROUP BY t_operasi.NOMR;

                ");
        return $query->result_array();
    }

    
}
